body {
    /*display: flex;
    justify-content: center;
    align-items: center;*/
    background-color: #fff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Scroll back to Top Button */
#TopBtn {
    display: none;
    position: fixed;
    bottom: 100px; /* default 20px */
    right: 20px; /* default 30px */
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #eb5d40;
    color: white;
    cursor: pointer;
    padding: 15px;
    border-radius: 7px;
    font-family: "Josefin Sans", serif;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
}

#TopBtn:hover {
    background-color: #552E8F;
}

/* Estilos generales para el contenedor */
.menu-container {
    display: grid;
    /* Activamos el grid */
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    /* Definimos un grid que se ajusta automáticamente */
    gap: 20px;
    /* Espacio entre los elementos del grid */
    padding: 20px;
}

/* Estilo para cada item */
.menu-item {
    background-color: #f5f5f5; /* #fcf5eb #fdf4cf */
    padding: 15px;
    /*padding-left: 15px;
    padding-right: 15px;
    padding-top: 15px;
    padding-bottom: 0px;*/
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

/* Estilo de la imagen del item */
.menu-item img {
    max-width: 100%;
    /*height: auto;*/
    border-radius: 8px;
    object-fit: cover;
    width: 250px;
    height: 250px;
}

/* Título del item */
.menu-item h3 {

    font-size: 1.5rem;
    margin-top: 10px;
    color: #333;
}

/* Descripción del item */
.menu-item p {
    font-family: "Lato", serif;
    font-size: 1rem;
    color: #666;
    margin: 10px 0;
}

/* Precio del item */
.menu-item .price {
    font-family: "Josefin Sans", Arial, serif;
    font-size: 1.2rem;
    font-weight: bold;
    color: #ff5722;
}

/*.menu-item .price span {
    font-family: "Lato", serif !important;
    font-size: 0.8rem;
    text-transform: uppercase;
    color: #2e2b2a;
}*/

.price {
    font-size: 16px;
    text-align: center; /* Centra el contenedor de los precios */
    display: inline-block; /* Hace que el contenedor se ajuste al contenido */
}

.price-item {
    display: flex; /* Usamos flexbox para alinear los elementos */
    justify-content: flex-start; /* Alineamos los elementos a la izquierda */
    align-items: center; /* Alinea verticalmente los precios con las etiquetas */
    margin-bottom: 5px; /* Espacio entre los precios */
}

.price-value {
    color: #ff5722; /* Precios en rojo */
    margin-right: 8px; /* Espacio entre el precio y la etiqueta (Mediano/Grande) */
}

.price-label {
    color: black; /* Palabras 'Mediano' y 'Grande' en negro */
    text-transform: uppercase;
    font-size: 0.8rem;
    font-family: "Lato", serif;
}


/* Estilos para pantallas más pequeñas */
@media (max-width: 768px) {
    .menu-container {
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        /* Ajuste en pantallas más pequeñas */
    }
}

@media (max-width: 480px) {
    .menu-container {
        grid-template-columns: 1fr;
        /* Solo una columna en pantallas muy pequeñas */
    }
}


/* Contenedor que usa Flexbox */
.center-container {
    display: flex;
    /* Usamos flexbox para centrar */
    justify-content: center;
    /* Centra horizontalmente */
    align-items: center;
    /* Centra verticalmente */
    height: 100vh;
    /* Tomar toda la altura de la pantalla */
    margin: 0;
    /* Eliminar márgenes por defecto */
}

/* Estilo del headings */
h2,
h3 {
    text-align: center;
    /* Centrado de texto dentro del h2 */
    margin: 25px;
    /* Eliminar márgenes para mayor control */
    font-family: "Josefin Sans", serif;
    font-optical-sizing: auto;
    font-weight: bold;
}

h2 {
    font-size: 3rem;
    /* Tamaño de fuente predeterminado */
}

h3 {
    font-size: 2rem;
    /* Tamaño de fuente predeterminado */
}

.divider {
    height: 25px;
}
/* Zig zag */
.modal-top {
    display: flex;
    padding-bottom: 10px;
    align-items: center;
}

.zig-zag {
--a: 90deg; /* the angle of the spikes*/
--s: 60px;  /* the size of spikes*/

height: 52px;
/*background: repeating-linear-gradient(135deg,#C02942 0 15px,#53777A 0 30px);*/
background-color: #3270B8;
mask: 
conic-gradient(from calc(var(--a)/-2) at bottom,
#0000,#000 1deg var(--a),#0000 calc(var(--a) + 1deg)) /* I am adding 1deg to avoid visual glitch */
50%/var(--s);
}
/* Contenedor principal para la imagen */
.image-container {
    width: 100%;
    /* Asegura que el contenedor ocupe todo el ancho disponible */
    /*height: 100vh;*/
    /* Altura de la pantalla */
    display: flex;
    /* Usamos Flexbox para centrar la imagen */
    justify-content: center;
    /* Centrado horizontal */
    align-items: center;
    /* Centrado vertical */
    overflow: hidden;
    /* Asegura que nada se salga fuera de los límites */
}

/* Estilo para la imagen */
.responsive-image {
    width: 100%;
    /* La imagen ocupa todo el ancho disponible */
    height: auto;
    /* Mantiene la proporción de la imagen */
    object-fit: cover;
    /* Cubre el área sin distorsionar la imagen */
}

/* Responsividad para diferentes tamaños de pantalla */
@media (max-width: 768px) {
    .responsive-image {
        object-fit: cover;
        /* Asegura que la imagen cubra bien en pantallas pequeñas */
    }
}

/* Estilo para el footer */

footer {
    background-color: #eb5d40;
    color: white;
    padding: 20px 0;
    font-family: "Lato", serif;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 0 20px;
}

/* Columna izquierda: Copyright */
.footer-left {
    flex: 1;
    min-width: 200px;
    text-align: left;
}

.footer-left p {
    margin: 0;
}

/* Columna central: Iconos de redes sociales */
.footer-center {
    flex: 1;
    text-align: center;
}

.social-icons {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.social-icons a {
    display: inline-block;
    background-color: #C93415;
    padding: 10px;
    border-radius: 50%;
    width: 48px;
    height: 48px;
    color: white;
    font-size: 20px;
    transition: all 0.3s ease;
}

.social-icons a:hover {
    background-color: #FDEEEB;
    /* Alto contraste */
    color: #eb5d40;
    transform: scale(1.1);
}

/* Columna derecha: Botón de selección de idioma */
.footer-right {
    flex: 1;
    min-width: 200px;
    text-align: right;
}

.language-selector {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
    justify-content: flex-end;

}

/*.language-selector img {
    width: 20px;
    height: 20px;
}*/
.language-selector a {
    background-color: #FDEEEB;
    color: #eb5d40;
    text-decoration: none;
    border-radius: 10px;
    padding: 10px;
}

.language-selector a:hover {
    background-color: #C93415;
    color: #fff;
    /*text-decoration: none;
border-radius: 10px;
padding: 10px;*/
}

.language-selector a:hover span {
    color: #fff !important;
}

.language-selector span {
    font-size: 14px;
    color: #eb5d40;
    font-weight: bold;
}

/* Media Query para pantallas pequeñas */
@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
    }

    .footer-left {
        display: none;
        /* Ocultar columna de copyright en pantallas pequeñas */
    }

    .footer-center {
        width: 100%;
        /* Asegura que la columna central ocupe el 100% en pantallas pequeñas */
        margin-bottom: 10px;
        /* Espacio debajo de los iconos de redes sociales */
    }

    .footer-right {
        width: 100%;
        /* Asegura que la columna derecha ocupe el 100% en pantallas pequeñas */
        text-align: center;
        /* Centrar el botón de idioma */
        margin-top: 10px;
        /* Añadir margen superior */
    }

    .social-icons {
        gap: 15px;
        /* Aumentar el espacio entre los iconos */
    }

    .language-selector {
        justify-content: center;
        /* Centrar el selector de idioma */
    }
}

object {
    pointer-events: none;
}

.specialty {
    display: inline-block;
    cursor: pointer;
    padding: 0;
    border: none;
    background-color: transparent;
    position: relative;
    /*width: 100px;
    height: 100px;*/
}

.specialty object {
    /*width: 100%;
    height: 100%;*/
    position: absolute;
    left: 0;
    /*top: 0;*/
    transition: opacity 0.3s ease;
}

/* Establecer visibilidad de las imágenes */
.navicon-default {
    opacity: 1; /* Imagen estática visible por defecto */
}

.navicon-hover {
    opacity: 0; /* Imagen animada oculta por defecto */
}

/* Cambiar visibilidad al hacer hover */
.specialty:hover .navicon-default {
    opacity: 0; /* Oculta la imagen estática al hacer hover */
}

.specialty:hover .navicon-hover {
    opacity: 1; /* Muestra la imagen animada al hacer hover */
}

/* Estilo general Old Nav */
nav {
    /*background-color: #14a14c;*/
    overflow: hidden;
    padding-top: 35px;
    padding-bottom: 35px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    /* Permite el ajuste cuando hay poco espacio */
}

nav ul li {
    margin: 0 15px;
    text-align: center;
    position: relative;
    /* Necesario para colocar la línea de hover */
    /*flex: 1 1 128px;*/
    /* Hace que los elementos se distribuyan en filas en pantallas pequeñas */
    flex-direction: row;
    justify-content: space-between;
}

nav ul li a {
    display: block;
    text-decoration: none;
    color: #333;
    font-size: 18px;
    padding: 10px;
    text-align: center;
}

/* Redimensionar imagen */
nav ul li img {
    width: 15vw;
    /* Ajuste dinámico del tamaño de la imagen (15% del ancho de la ventana) */
    height: auto;
    object-fit: contain;
}

/* Estilo del texto debajo de la imagen */
nav ul li a span {
    display: block;
    margin-top: 5px;
    font-size: 1rem;
    /* Tamaño de fuente en unidades relativas */
    color: #252e5c;
    font-family: "Josefin Sans", serif;
    font-weight: bold;
}

/* Efecto hover */
nav ul li a {
    /* Color de fondo al hacer hover sobre el li */

    border: 2px solid #fff;
    border-radius: 15px;
}

nav ul li:hover a {
    /* Color de fondo al hacer hover sobre el li */

    border: 2px solid #0571d3;
    border-radius: 15px;
}


/* Media Queries para hacerlo responsive */
/* Pantallas medianas o más grandes (tabletas, escritorios) */
@media (min-width: 768px) {
    nav ul li {
        margin: 0 18px;
        /* Ajustamos los márgenes */
    }

    nav ul li a {
        font-size: 20px;
        /* Aumentamos el tamaño de fuente en pantallas más grandes */
    }

    nav ul li img {
        width: 128px;
        /* Tamaño fijo de la imagen en pantallas grandes */
        height: 128px;
    }

    nav ul li a span {
        font-size: 1.1rem;
        /* Aumentamos ligeramente el tamaño de fuente */
    }

    nav ul li object {
        width: 128px;
        /* Tamaño fijo de la imagen en pantallas grandes */
        height: 128px;
    }

    nav ul li object {
        margin: 0 12px;
        /* Ajustamos los márgenes */
    }
}

/* Pantallas pequeñas (móviles) */
@media (max-width: 767px) {
    nav ul {
        flex-direction: column;
        /* Cambiamos la dirección del menú a columna */
        align-items: center;
        /* Centramos los íconos */
    }

    nav ul li {
        margin: 10px 0;
        /* Ajustamos los márgenes para elementos en columna */
        flex: 1 1 auto;
        /* Permite que los elementos se ajusten */
    }

    nav ul li a {
        font-size: 16px;
        /* Reducimos el tamaño del texto en móviles */
        padding: 15px;
    }

    nav ul li img {
        width: 30vw;
        /* Aumentamos el tamaño relativo de las imágenes en móviles */
        height: auto;
        /* Mantiene la proporción */
    }

    nav ul li a span {
        font-size: 0.9rem;
        /* Reducimos el tamaño del texto */
    }

    nav ul li object {
        width: 30vw;
        /* Tamaño fijo de la imagen en pantallas grandes */
        height: auto;
    }

    nav ul li object {
        margin: 0 16px;
        /* Ajustamos los márgenes */
    }
}

/* carousel Promociones */
.carousel-container {
    position: relative;
    width: 100%;
    max-width: 100%;
    overflow: hidden;
}

.carousel-wrapper {
    display: flex;
    transition: transform 1s ease-in-out;
}

.carousel-slide {
    min-width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fcf5eb; /*#fdf4cf; */
    /*height: 100vh;*/
    /* Full viewport height */
    text-align: center;
}

.carousel-slide a {
    width: 100%;
}

.carousel-slide img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.carousel-controls {
    position: absolute;
    /*bottom: 10px; */
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    gap: 10px;
}

.control-dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: #fff;
    opacity: 0.6;
    transition: opacity 0.3s ease;
    cursor: pointer;
}

.control-dot.active {
    opacity: 1;
    background-color: #007bff;
}

/* Button style */
.carousel-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}

.carousel-btn.prev {
    left: 10px;
}

.carousel-btn.next {
    right: 10px;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .carousel-slide {
        height: 60vh;
    }
}

@media (max-width: 480px) {
    .carousel-slide {
        height: 50vh;
    }
}

hr {
    background-color: #eb5d40;
    padding: 0;
    /*margin: 80px;*/
    height: 7px;
    margin-top: 3%;
    margin-bottom: 3%;
    margin-left: 45%;
    margin-right: 45%;
}



/* Asegura que el box-sizing sea consistente */
*, *::before, *::after {
    box-sizing: border-box;
}
/* logo */
.logo {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #3270B8;
    width: 100%;
}
/* Contenedor para el logo */
.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 600px;  /* Limita el tamaño máximo */
    padding: 25px;
}
/* Estilo del logo */
.logo-container img {
    width: 100%;
    height: auto;
}


/* MODAL */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 10%;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
  }
  
  /* modal content */
  .modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    transition: transform 0.3s ease-out;
    position: relative;
  }
  
 #Promo1 img {
    width: 100%;
    height: auto;
    display: block;
  }
 
  #Promo2 img {
    width: 100%;
    height: auto;
    display: block;
  }

  #Promo3 img {
    width: 100%;
    height: auto;
    display: block;
  }
 
  #Promo4 img {
    width: 100%;
    height: auto;
    display: block;
  }

  #Promo5 img {
    width: 100%;
    height: auto;
    display: block;
  }

  /* El botón de cierre y el texto "Close" */
  .close {
    color: #eb0c0c;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
    font-weight: bold;
    float: right;
    cursor: pointer;
  }
  
  .close:hover,
  .close:focus {
    color: #ec5e0b;
    text-decoration: none;
  }
  
  /* Añadimos el texto "Close" al lado del botón */
  .close-text {
    color: #eb0c0c;
    font-family: "Josefin Sans", serif;
    font-size: 16px;
    font-weight: normal;
    padding-left: 8px;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: bold;
  }
  
  .close-text:hover {
    color: #ec5e0b;
  }
  
  .close-image {
    cursor: pointer;
  }
  
  /* Transición suave para el modal */
  .modal-content {
    transform: translateY(-50px);
  }
  
  .modal.show .modal-content {
    transform: translateY(0);
  }
  
  /* Media queries para asegurar que el modal sea responsive */
  @media screen and (max-width: 768px) {
    .modal-content {
      width: 90%; /* Aumentamos el ancho para pantallas más pequeñas */
      padding: 10px;
    }
    
    .close {
      font-size: 24px; /* Reducimos el tamaño de la cruz de cierre en móviles */
    }
  
    .close-text {
      font-size: 14px; /* Reducimos el tamaño del texto en pantallas pequeñas */
    }
  }
  
  @media screen and (max-width: 480px) {
    .modal-content {
      width: 95%; /* En pantallas aún más pequeñas, el modal será casi de todo el ancho */
    }
    
    .close {
      font-size: 22px; /* Reducir aún más el tamaño del botón de cierre */
    }
  
    .close-text {
      font-size: 12px; /* Reducir el tamaño del texto "Close" */
    }
  }